Bug 747501 - Simplify file structure and deployment.
Simplify file structure and deployment.
Product: Zanata
Classification: Community
Component: Maintainability (Show other bugs)
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: Sean Flanigan
Ding-Yi Chen
Depends On:
  Show dependency treegraph
Reported: 2011-10-20 00:03 EDT by Carlos Munoz
Modified: 2011-10-27 02:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-10-27 02:08:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Carlos Munoz 2011-10-20 00:03:57 EDT
- Remove the need for 2 separate component.xml files.
- Remove instances where there is double interpolation (maven, seam) of resource files.
- Resolve PermGen space exception when running seam tests in some instances (try different jvm options when running failsafe validations)
- Eclipse test launchers to use with the TestNG plugin.
Comment 1 Sean Flanigan 2011-10-20 00:21:55 EDT
> Remove instances where there is double interpolation (maven, seam) of
resource files.

Specifically, make sure that all variables in components.xml can be interpolated by Seam from components.properties, and remove Maven variable interpolation from test/components.properties so that they can be used in Eclipse.
Comment 2 Carlos Munoz 2011-10-24 18:40:36 EDT
- Merged components.xml files into a single one.
- Maven tests no longer failing with PermGen exceptions.
- Modified eclipse TestNG launcher for Integration tests.
Comment 3 Carlos Munoz 2011-10-24 18:41:54 EDT
Sean, not sure if this needs to go through Dean for verification.
Comment 4 Ding-Yi Chen 2011-10-26 00:19:50 EDT
It indeed looks like an internal task.
Unless you want me to run through all system tests for this. :-)

Note You need to log in before you can comment on or make changes to this bug.